
`resetall

module cm1_demo_top
(
  LED,
  KEY,
  JTAG_7,
  JTAG_9,
  UART0RXD,
  UART0TXD,
  FLASH_SPI_HOLDN,
  FLASH_SPI_CSN,
  FLASH_SPI_MISO,
  FLASH_SPI_MOSI,
  FLASH_SPI_WPN,
  FLASH_SPI_CLK,
  HCLK,
  hwRstn
);

input HCLK;          // System clock
input hwRstn;        // System reset

//LED
inout [3:0] LED;

//KEY
inout [2:0] KEY;

//JTAG
inout JTAG_7;
inout JTAG_9;

//UART0
input UART0RXD;
output UART0TXD;

//SPI-Flash
inout FLASH_SPI_HOLDN;
inout FLASH_SPI_CSN;
inout FLASH_SPI_MISO;
inout FLASH_SPI_MOSI;
inout FLASH_SPI_WPN;
inout FLASH_SPI_CLK;


//Gowin_EMPU_M1 instantiation
Gowin_EMPU_M1_Top u_Gowin_EMPU_M1_Top
(
  .LOCKUP(),
  .HALTED(),
  .GPIO({KEY, LED}),
  .JTAG_3(),
  .JTAG_4(),
  .JTAG_5(),
  .JTAG_6(),
  .JTAG_7(JTAG_7),
  .JTAG_8(),
  .JTAG_9(JTAG_9),
  .JTAG_10(),
  .JTAG_11(),
  .JTAG_12(),
  .JTAG_13(),
  .JTAG_14(),
  .JTAG_15(),
  .JTAG_16(),
  .JTAG_17(),
  .JTAG_18(),
  .UART0RXD(UART0RXD),
  .UART0TXD(UART0TXD),
  .TIMER0EXTIN(1'b0),
  .FLASH_SPI_HOLDN(FLASH_SPI_HOLDN),
  .FLASH_SPI_CSN(FLASH_SPI_CSN),
  .FLASH_SPI_MISO(FLASH_SPI_MISO),
  .FLASH_SPI_MOSI(FLASH_SPI_MOSI),
  .FLASH_SPI_WPN(FLASH_SPI_WPN),
  .FLASH_SPI_CLK(FLASH_SPI_CLK),
  .HCLK(HCLK),
  .hwRstn(hwRstn)
);

endmodule