/*
 ******************************************************************************************
 * @file          led.c
 * @author        GowinSemicoductor
 * @device        Gowin_EMPU_M1
 * @brief         Control water led.
 ******************************************************************************************
 */
 
/* Includes ------------------------------------------------------------------*/
#include "led.h"
#include <stdbool.h>

/* Variables ------------------------------------------------------------------*/
bool led1_flag = false;	//run led1 flag
bool led2_flag = false;	//run led2 flag

/* Functions ------------------------------------------------------------------*/
//Initializes GPIO
int led_init(void)
{
	GPIO_InitTypeDef GPIO_InitType;

	GPIO_InitType.GPIO_Pin = GPIO_Pin_0 |
	                         GPIO_Pin_1 |
	                         GPIO_Pin_2 |
	                         GPIO_Pin_3;
	GPIO_InitType.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitType.GPIO_Int = GPIO_Int_Disable;

	GPIO_Init(GPIO0,&GPIO_InitType);

	GPIO_WriteBits(GPIO0,0xF);//light : low level

	return 0;
}

//run led1
int led1_exc(void)
{
	if(led1_flag)
	{
		GPIO_ResetBit(GPIO0,GPIO_Pin_0);//LED1
		GPIO_ResetBit(GPIO0,GPIO_Pin_1);//LED2
	}
	else
	{
		GPIO_SetBit(GPIO0,GPIO_Pin_0);
		GPIO_SetBit(GPIO0,GPIO_Pin_1);
	}
	led1_flag = !led1_flag;

	return 0;
}

//run led2
int led2_exc(void)
{
	if(led2_flag)
	{
		GPIO_ResetBit(GPIO0,GPIO_Pin_2);//LED3
		GPIO_ResetBit(GPIO0,GPIO_Pin_3);//LED4
	}
	else
	{
		GPIO_SetBit(GPIO0,GPIO_Pin_2);
		GPIO_SetBit(GPIO0,GPIO_Pin_3);
	}
	led2_flag = !led2_flag;

	return 0;
}
