/*
 ******************************************************************************************
 * @file          main.c
 * @author        GowinSemicoductor
 * @device        Gowin_EMPU_M1
 * @brief         Main function.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "GOWIN_M1.h"
#include "led.h"
#include "FreeRTOS.h"
#include "task.h"

/* Functions ------------------------------------------------------------------*/
void vApplicationTickHook()
{
}

void vApplicationMallocFailedHook()
{
}

void vApplicationStackOverflowHook()
{
}

//led1 task
void led1_task(void *temp)
{
	while(1)
	{
		vTaskDelay(500);
		led1_exc();
	}
}

//led2 task
void led2_task(void *temp)
{
	while(1)
	{
		vTaskDelay(100);
		led2_exc();
	}
}

int main(void)
{
	SystemInit();
	led_init();

	xTaskCreate(led1_task,"led1",40,NULL,512,NULL);	//led1 task
	xTaskCreate(led2_task,"led2",40,NULL,1,NULL);	//led2 task
	vTaskStartScheduler();

	while(1)
	{
	}
}
