/*
 ******************************************************************************************
 * @file          led.c
 * @author        GowinSemicoductor
 * @device        Gowin_EMPU_M1
 * @brief         Control led.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "led.h"

/* Declarations --------------------------------------------------------------*/
void GPIOInit(void);

/* Definitions ---------------------------------------------------------------*/
int led_init_driver(void)
{
	SystemInit();	//Initializes system
	GPIOInit();		//Initializes gpio
	
	return 0;
}

int task_led(void)
{
	uint32_t data = GPIO_ReadBits(GPIO0);
	GPIO_WriteBits(GPIO0,~data);
	
	return 0;
}

//Initializes GPIO
void GPIOInit(void)
{
	GPIO_InitTypeDef GPIO_InitType;
	
	GPIO_InitType.GPIO_Pin = GPIO_Pin_0 |
	                         GPIO_Pin_1 |
	                         GPIO_Pin_2 |
	                         GPIO_Pin_3;
	GPIO_InitType.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitType.GPIO_Int = GPIO_Int_Disable;

	GPIO_Init(GPIO0,&GPIO_InitType);

	GPIO_WriteBits(GPIO0,0xF);//light : low level
}
